Bug 1014707 - selinux policy to constrain docker containers
selinux policy to constrain docker containers
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-02 10:55 EDT by Matthew Miller
Modified: 2015-06-29 08:31 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:31:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Miller 2013-10-02 10:55:37 EDT
Docker is an exciting new interface to containers on Fedora, but does not offer any particularly strong security. Having a great SELinux policy which keeps the container isolated would be very helpful to our users and compelling for people choosing an underlying platform for Docker.

I have no idea exactly what this would look like, but I know people who do. :)



Ideally, we would have either something which works with both libvirt-lxc or the sourceforge lxc fallback. Or, we should (as a separate issue) warn when using the fallback if that's not possible.
Comment 1 Andy Lutomirski 2013-11-26 20:05:55 EST
IIUC it does not currently use user namespaces, so it probably has very weak security indeed.  Enabling user namespaces would help (but uid 0 would have to be mapped through to make things look sane from outside).

Selinux is probably a good idea, too.  I wonder if it's possible to make selinux work right from inside the containers, too.
Comment 2 Daniel Walsh 2013-11-27 08:25:41 EST
Working on it, along with integration into libvirt.  Hopefully will work with docker .85.

I would like to see usernamespace turned on also, Security in layers.

Getting SELinux to work within the containers is more of a long range project.  Meaning we can prevent containers from interfering with the host machine or other containers using SELinux.  But using SELinux to isolate two different processes within a container is difficult.  For example if you have apache and mysql running within the same container, SELinux will run all processes with the same label, giving them the same rights.
Comment 3 Fedora End Of Life 2015-05-29 05:30:02 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-06-29 08:31:25 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.